<section class="slp-commit-grid slp-relative slp-pt-48 slp-mt-4">
  <div class="slp-col-span-full">
    <div
      class="slp-relative slp-text-center slp-max-w-7xl slp-mb-16 slp-mx-auto"
    >
      <h2
        class="slp-font-normal slp-text-grayscale-333 slp-text-3xl md:slp-text-4xl slp-leading-tight slp-mb-16 slp-col-span-full"
      ><%= cards_section.heading %></h2>
      <p
        class="slp-font-normal slp-text-grayscale-333 slp-text-xl slp-mb-16 slp-leading-tight"
      ><%= cards_section.subtitle %></p>
    </div>
  </div>
  <% cards_section.cards.each do |card| %>
    <% if card.destinationUrl%>
      <a
        href="#"
        class="slp-col-span-full md:slp-col-span-4 slp-group slp-shadow hover:slp-shadow-lg hover:no-underline slp-ease-in-out slp-transition-all slp-duration-300 slp-cursor-pointer slp-text-grayscale-333 slp-mb-32 slp-text-center"
      >
    <% else %>
      <div
        href="#"
        class="slp-col-span-full md:slp-col-span-4 slp-group slp-shadow hover:slp-shadow-lg hover:no-underline slp-ease-in-out slp-transition-all slp-duration-300 slp-text-grayscale-333 slp-mb-32 slp-text-center"
      >
    <% end %>
      <div
        class="slp-p-32 slp-max-w-lg slp-rounded-md slp-border slp-border-grayscale-highlight slp-border-solid slp-h-full slp-box-border slp-flex slp-flex-col slp-min-w-full"
      >
        <% if card.icon %>        
          <div class="slp-flex slp-justify-center slp-items-center slp-mb-16">
            <img
              alt="<%= card.icon %>"
              src="<%= card.icon %>"
              class=""
            />
          </div>
        <% end %>
        <div>
          <h3
            class="slp-font-normal slp-text-grayscale-333 slp-text-lg slp-leading-tight slp-mb-16"
          >
            <%= card.heading %>
          </h3>
          <p
            class="slp-font-normal slp-text-grayscale-333 slp-text-base slp-leading-normal"
          >
            <%= card.body %>
          </p>
        </div>
      </div>
    <% if card.destinationUrl%>  
      </a>
    <% else %>
      </div>
    <% end %>  
  <% end %>
</section>

